Theme
Generate 3.0 (Image Editing) Edit
POST
https://www.kkiai.com/ideogram/v1/ideogram-v3/edit
Use the Ideogram 3.0 model to synchronously generate images based on a given prompt and optional parameters.
For specific parameters, see the official documentation: https://developer.ideogram.ai/api-reference/api-reference/edit-v3
The returned image URLs are valid for 24 hours. After that time, the images will no longer be accessible.
Images have been reverse-proxied.
Request Parameters
Header Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
Accept | string | Required | application/json | |
Authorization | string | Required | Bearer {{YOUR_API_KEY}} |
Body Parameters (multipart/form-data)
| Parameter | Type | Required | Description |
|---|---|---|---|
image | file | Required | Image being processed (maximum size 10 megabytes); currently supports JPEG, WebP, and PNG formats only. |
mask | file | Optional | |
seed | integer | Optional | Random seed, range 0-2147483647. Setting this value produces repeatable results. |
prompt | string | Optional |
cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/ideogram/v1/ideogram-v3/edit' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ' \
--form 'image=@"C:\\Users\\Administrator\\Desktop\\example.png"' \
--form 'mask=@"C:\\Users\\Administrator\\Desktop\\example.png"' \
--form 'seed="12345";type=multipart/form-data' \
--form 'prompt="A photo of a cat wearing a hat."'Response
🟢 200 Success
Response Body
| Parameter | Type | Required | Description |
|---|---|---|---|
code | integer | Required | |
message | string | Required | |
request_id | string | Required | |
data | object | Required | |
└ task_id | string | Required | |
└ task_status | string | Required | |
└ created_at | integer | Required | |
└ updated_at | integer | Required |
Response Example
json
{
"code": 0,
"message": "SUCCEED",
"request_id": "CjMT7WdSwWcAAAAAALvB3g",
"data": {
"task_id": "CjMT7WdSwWcAAAAAALvB3g",
"task_status": "submitted",
"created_at": 1733851336696,
"updated_at": 1733851336696
}
}